Bug 13929 - ASAN detected use after free in continue_ip_open_socket ../../source4/librpc/rpc/dcerpc_sock.c:267
ASAN detected use after free in continue_ip_open_socket ../../source4/librpc/...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-07 04:27 UTC by Gary Lockyer
Modified: 2019-05-21 10:01 UTC (History)
1 user (show)

See Also:


Attachments
ASAN error report (9.36 KB, text/plain)
2019-05-07 04:27 UTC, Gary Lockyer
no flags Details
Proposed patch for V4.10 (1.30 KB, patch)
2019-05-15 02:01 UTC, Gary Lockyer
abartlet: review+
gary: ci‑passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Lockyer 2019-05-07 04:27:10 UTC
Created attachment 15125 [details]
ASAN error report

ASAN detected use after free
Comment 1 Gary Lockyer 2019-05-13 02:08:45 UTC
Fised in master for version 4.11, commit ae9fb92293
Comment 2 Gary Lockyer 2019-05-15 01:58:38 UTC
Reopening as it should be back-ported to V4-10
Comment 3 Gary Lockyer 2019-05-15 02:01:51 UTC
Created attachment 15149 [details]
Proposed patch for V4.10

CI: https://gitlab.com/samba-team/devel/samba/pipelines/61328139
Comment 4 Andrew Bartlett 2019-05-15 03:08:44 UTC
Please select for Samba 4.10. 

Thanks!
Comment 5 Karolin Seeger 2019-05-16 10:26:47 UTC
Pushed to autobuild-v4-10-test.
Comment 6 Karolin Seeger 2019-05-21 10:01:33 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-10-test.
Closing out bug report.

Thanks!